curl --request GET \
--url https://api.centosfi.com/v1/markets/searchimport requests
url = "https://api.centosfi.com/v1/markets/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.centosfi.com/v1/markets/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": "<string>",
"results": [
{
"centos_id": 123,
"exchange_value": 123,
"exchange_name": "<string>",
"ticker": "<string>",
"token_id_yes": "<string>",
"token_id_no": "<string>",
"slug": "<string>",
"tick_size_price": 123,
"tick_size_qty": 123,
"minimum_order_size": 123,
"neg_risk": true,
"neg_risk_id": "<string>",
"condition_id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "active",
"expiration_datetime": "2023-11-07T05:31:56Z",
"category": "Other",
"rank": 123
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Search Markets
Search and browse markets across all exchanges.
Supports:
- Exact match on ticker, condition_id, slug, centos_id
- Full-text search on name, description, tags
- Browse by filters (no query required)
- Results ranked by relevance
We default to active markets in the view so things are faster
Query Parameters
Search query
1Filter by exchange name (KALSHI, POLYMARKET)
Filter by canonical category (Sports, Crypto, Politics, Finance, Entertainment, Science & Tech, Weather, World Affairs, Health, Social, Other)
Filter by instrument status Instrument status derived in mv_instruments from exchange-specific fields.
Kalshi: maps from kalshi_markets.status - 'active' -> ACTIVE - everything else (closed, determined, finalized, settled, amended, inactive, initialized) -> CLOSED
Polymarket: maps from polymarket_markets.closed and polymarket_markets.active booleans - closed=true -> CLOSED - active=true (and not closed) -> ACTIVE - else (active=false, closed=false) -> INACTIVE
active, closed, inactive Start of expiration date range (inclusive, ISO 8601)
End of expiration date range (exclusive, ISO 8601)
Maximum number of results
1 <= x <= 1000Offset for pagination
x >= 0
